Index: /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/gcm.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/gcm.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/gcm.F90	(revision 5116)
@@ -173,15 +173,15 @@
   !      calend = 'earth_365d'
 
-  if (calend == 'earth_360d') then
+  if (calend == 'earth_360d') THEN
      CALL ioconf_calendar('360_day')
-     write(lunout,*)'CALENDRIER CHOISI: Terrestre a 360 jours/an'
+     WRITE(lunout,*)'CALENDRIER CHOISI: Terrestre a 360 jours/an'
      xios_cal_type='d360'
-  else if (calend == 'earth_365d') then
+  else if (calend == 'earth_365d') THEN
      CALL ioconf_calendar('noleap')
-     write(lunout,*)'CALENDRIER CHOISI: Terrestre a 365 jours/an'
+     WRITE(lunout,*)'CALENDRIER CHOISI: Terrestre a 365 jours/an'
      xios_cal_type='noleap'
-  else if (calend == 'gregorian') then
+  else if (calend == 'gregorian') THEN
      CALL ioconf_calendar('gregorian')
-     write(lunout,*)'CALENDRIER CHOISI: Terrestre bissextile'
+     WRITE(lunout,*)'CALENDRIER CHOISI: Terrestre bissextile'
      xios_cal_type='gregorian'
   else
@@ -212,12 +212,12 @@
 
   !  lecture du fichier start.nc
-  if (read_start) then
+  if (read_start) THEN
      ! we still need to run iniacademic to initialize some
      ! constants & fields, if we run the 'newtonian' or 'SW' cases:
-     if (iflag_phys/=1) then
+     if (iflag_phys/=1) THEN
         CALL iniacademic_loc(vcov,ucov,teta,q,masse,ps,phis,time_0)
      endif
 
-     !        if (planet_type.eq."earth") then
+     !        if (planet_type.eq."earth") THEN
      ! Load an Earth-format start file
      CALL dynetat0_loc("start.nc",vcov,ucov, &
@@ -225,9 +225,9 @@
      !        endif ! of if (planet_type.eq."earth")
 
-     !       write(73,*) 'ucov',ucov
-     !       write(74,*) 'vcov',vcov
-     !       write(75,*) 'teta',teta
-     !       write(76,*) 'ps',ps
-     !       write(77,*) 'q',q
+     !       WRITE(73,*) 'ucov',ucov
+     !       WRITE(74,*) 'vcov',vcov
+     !       WRITE(75,*) 'teta',teta
+     !       WRITE(76,*) 'ps',ps
+     !       WRITE(77,*) 'q',q
 
   endif ! of if (read_start)
@@ -236,5 +236,5 @@
   IF (prt_level > 9) WRITE(lunout,*) &
        'GCM: AVANT iniacademic AVANT AVANT AVANT AVANT'
-  if (.not.read_start) then
+  if (.not.read_start) THEN
      start_time=0.
      annee_ref=anneeref
@@ -267,8 +267,8 @@
   ! on remet le calendrier \`a zero si demande
 
-  IF (start_time /= starttime) then
+  IF (start_time /= starttime) THEN
      WRITE(lunout,*)' GCM: Attention l''heure de depart lue dans le' &
           ,' fichier restart ne correspond pas a celle lue dans le run.def'
-     IF (raz_date == 1) then
+     IF (raz_date == 1) THEN
         WRITE(lunout,*)'Je prends l''heure lue dans run.def'
         start_time = starttime
@@ -285,26 +285,26 @@
      itau_phy = 0
      time_0 = 0.
-     write(lunout,*) &
+     WRITE(lunout,*) &
           'GCM: On reinitialise a la date lue dans gcm.def'
   ELSE IF (annee_ref /= anneeref .or. day_ref /= dayref) THEN
-     write(lunout,*) &
+     WRITE(lunout,*) &
           'GCM: Attention les dates initiales lues dans le fichier'
-     write(lunout,*) &
+     WRITE(lunout,*) &
           ' restart ne correspondent pas a celles lues dans '
-     write(lunout,*)' gcm.def'
-     write(lunout,*)' annee_ref=',annee_ref," anneeref=",anneeref
-     write(lunout,*)' day_ref=',day_ref," dayref=",dayref
-     write(lunout,*)' Pas de remise a zero'
+     WRITE(lunout,*)' gcm.def'
+     WRITE(lunout,*)' annee_ref=',annee_ref," anneeref=",anneeref
+     WRITE(lunout,*)' day_ref=',day_ref," dayref=",dayref
+     WRITE(lunout,*)' Pas de remise a zero'
   ENDIF
-  !      if (annee_ref .ne. anneeref .or. day_ref .ne. dayref) then
-  !        write(lunout,*)
+  !      if (annee_ref .ne. anneeref .or. day_ref .ne. dayref) THEN
+  !        WRITE(lunout,*)
   !     .  'GCM: Attention les dates initiales lues dans le fichier'
-  !        write(lunout,*)
+  !        WRITE(lunout,*)
   !     .  ' restart ne correspondent pas a celles lues dans '
-  !        write(lunout,*)' gcm.def'
-  !        write(lunout,*)' annee_ref=',annee_ref," anneeref=",anneeref
-  !        write(lunout,*)' day_ref=',day_ref," dayref=",dayref
-  !        if (raz_date .ne. 1) then
-  !          write(lunout,*)
+  !        WRITE(lunout,*)' gcm.def'
+  !        WRITE(lunout,*)' annee_ref=',annee_ref," anneeref=",anneeref
+  !        WRITE(lunout,*)' day_ref=',day_ref," dayref=",dayref
+  !        if (raz_date .ne. 1) THEN
+  !          WRITE(lunout,*)
   !     .    'GCM: On garde les dates du fichier restart'
   !        else
@@ -315,5 +315,5 @@
   !          itau_phy = 0
   !          time_0 = 0.
-  !          write(lunout,*)
+  !          WRITE(lunout,*)
   !     .   'GCM: On reinitialise a la date lue dans gcm.def'
   !        endif
@@ -330,12 +330,12 @@
   CALL ioconf_startdate(INT(jD_ref), jH_ref)
 
-  write(lunout,*)'DEBUG'
-  write(lunout,*)'annee_ref, mois, day_ref, heure, jD_ref'
-  write(lunout,*)annee_ref, mois, day_ref, heure, jD_ref
+  WRITE(lunout,*)'DEBUG'
+  WRITE(lunout,*)'annee_ref, mois, day_ref, heure, jD_ref'
+  WRITE(lunout,*)annee_ref, mois, day_ref, heure, jD_ref
   CALL ju2ymds(jD_ref+jH_ref,anref, moisref, jourref, heureref)
-  write(lunout,*)'jD_ref+jH_ref,an, mois, jour, heure'
-  write(lunout,*)jD_ref+jH_ref,anref, moisref, jourref, heureref
-
-  if (iflag_phys==1) then
+  WRITE(lunout,*)'jD_ref+jH_ref,an, mois, jour, heure'
+  WRITE(lunout,*)jD_ref+jH_ref,anref, moisref, jourref, heureref
+
+  if (iflag_phys==1) THEN
      ! these initialisations have already been done (via iniacademic)
      ! if running in SW or Newtonian mode
@@ -369,5 +369,5 @@
 
 
-  if (nday>=0) then
+  if (nday>=0) THEN
      day_end = day_ini + nday
   else
@@ -407,5 +407,5 @@
 
 
-  !      if (planet_type.eq."earth") then
+  !      if (planet_type.eq."earth") THEN
   ! Write an Earth-format restart file
   CALL dynredem0_loc("restart.nc", day_end, phis)
@@ -415,5 +415,5 @@
 
   time_step = zdtvr
-     if (ok_dyn_ins) then
+     if (ok_dyn_ins) THEN
         ! initialize output file for instantaneous outputs
         ! t_ops = iecri * daysec ! do operations every t_ops
@@ -433,5 +433,5 @@
 
 ! setting up DYN3D/XIOS inerface
-  if (ok_dyn_xios) then
+  if (ok_dyn_xios) THEN
       CALL xios_dyn3dmem_init(xios_cal_type, anref, moisref, jourref,heureref, an,   &
           mois, jour, heure, zdtvr)
@@ -442,9 +442,9 @@
   !   ----------------------------------
 
-  !       write(78,*) 'ucov',ucov
-  !       write(78,*) 'vcov',vcov
-  !       write(78,*) 'teta',teta
-  !       write(78,*) 'ps',ps
-  !       write(78,*) 'q',q
+  !       WRITE(78,*) 'ucov',ucov
+  !       WRITE(78,*) 'vcov',vcov
+  !       WRITE(78,*) 'teta',teta
+  !       WRITE(78,*) 'ps',ps
+  !       WRITE(78,*) 'q',q
 
   !!$OMP PARALLEL DEFAULT(SHARED) COPYIN(/temps/,/logici/,/logicl/)
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/getparam.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/getparam.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/getparam.F90	(revision 5116)
@@ -51,7 +51,7 @@
 
     IF (mpi_rank==0) THEN
-      write(out_eff,*) '######################################'
-      write(out_eff,*) '#### ',comment,' #####'
-      write(out_eff,*) TARGET,'=',ret_val
+      WRITE(out_eff,*) '######################################'
+      WRITE(out_eff,*) '#### ',comment,' #####'
+      WRITE(out_eff,*) TARGET,'=',ret_val
     ENDIF
     
@@ -77,8 +77,8 @@
 
     IF (mpi_rank==0) THEN
-      write(out_eff,*) '######################################'
-      write(out_eff,*) '#### ',comment,' #####'
-      write(out_eff,*) comment
-      write(out_eff,*) TARGET,'=',ret_val
+      WRITE(out_eff,*) '######################################'
+      WRITE(out_eff,*) '#### ',comment,' #####'
+      WRITE(out_eff,*) comment
+      WRITE(out_eff,*) TARGET,'=',ret_val
     ENDIF
     
@@ -104,7 +104,7 @@
 
     IF (mpi_rank==0) THEN
-      write(out_eff,*) '######################################'
-      write(out_eff,*) '#### ',comment,' #####'
-      write(out_eff,*) TARGET,'=',ret_val
+      WRITE(out_eff,*) '######################################'
+      WRITE(out_eff,*) '#### ',comment,' #####'
+      WRITE(out_eff,*) TARGET,'=',ret_val
     ENDIF
        
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/gr_v_scal_loc.f90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/gr_v_scal_loc.f90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/gr_v_scal_loc.f90	(revision 5116)
@@ -62,5 +62,5 @@
 !$OMP ENDDO NOWAIT
 
-  if (pole_nord) then
+  if (pole_nord) THEN
 !$OMP DO SCHEDULE(STATIC,OMP_CHUNK)
     DO l=1,nx
@@ -72,5 +72,5 @@
   endif
 
-  if (pole_sud) then
+  if (pole_sud) THEN
 !$OMP DO SCHEDULE(STATIC,OMP_CHUNK)
     DO l=1,nx
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/gradiv2_loc.f90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/gradiv2_loc.f90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/gradiv2_loc.f90	(revision 5116)
@@ -57,5 +57,5 @@
   ijb=ij_begin
   ije=ij_end
-  if(pole_sud) ije=ij_end-iip1
+  IF(pole_sud) ije=ij_end-iip1
 
 !$OMP DO SCHEDULE(STATIC,OMP_CHUNK)
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/groupe_loc.f90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/groupe_loc.f90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/groupe_loc.f90	(revision 5116)
@@ -25,13 +25,13 @@
   ! parameter (ngroup=3)
 
-  real :: pbaru(iip1, jjb_u:jje_u, llm), pbarv(iip1, jjb_v:jje_v, llm)
-  real :: pext(iip1, jjb_u:jje_u, llm)
+  REAL :: pbaru(iip1, jjb_u:jje_u, llm), pbarv(iip1, jjb_v:jje_v, llm)
+  REAL :: pext(iip1, jjb_u:jje_u, llm)
 
-  real :: pbarum(iip1, jjb_u:jje_u, llm), pbarvm(iip1, jjb_v:jje_v, llm)
-  real :: wm(iip1, jjb_u:jje_u, llm)
+  REAL :: pbarum(iip1, jjb_u:jje_u, llm), pbarvm(iip1, jjb_v:jje_v, llm)
+  REAL :: wm(iip1, jjb_u:jje_u, llm)
 
-  real :: uu
+  REAL :: uu
 
-  integer :: i, j, l
+  INTEGER :: i, j, l
 
   logical :: firstcall
@@ -39,5 +39,5 @@
   !$OMP THREADPRIVATE(firstcall)
 
-  integer :: ijb, ije, jjb, jje
+  INTEGER :: ijb, ije, jjb, jje
 
   !   Champs 1D
@@ -113,5 +113,5 @@
   enddo
 
-  if (.not. pole_sud) then
+  if (.not. pole_sud) THEN
     zconvmm(:, jj_end + 1, :) = 0
     !ym	wm(:,jj_end+1,:)=0
